#!/bin/bash -e

#####################################################
# 
# This script will download a video and extract the 
# audio as an .mp3.
#
# Usage: bash stream/rtmp.sh <input video> <rtmp url>
#
#####################################################

URL="${1}"

if [ "${1}" == "" ]; then
	echo "Please provide a URL to download"
	exit 1
fi

if [ -d "${2}" ]; then
	DIR="${2}"
else 
	echo "Please provide an output directory for your audio file"
	exit 2
fi

youtube-dl -x \
	--audio-format mp3 \
	-o "${DIR}/%(title)s-%(id)s.%(ext)s" \
	"${URL}" 
